summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-09 13:43:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-09 13:43:44 +0000
commit90960fa67aeeb922c0726a5c5f25b31d4269d3ed (patch)
treea3df6ca4214c0489c7780638142e1e9db433023b /dev-python
parentc01a758716f56e7d098a9e228d06e104ad173e41 (diff)
downloadbaldeagleos-repo-90960fa67aeeb922c0726a5c5f25b31d4269d3ed.tar.gz
baldeagleos-repo-90960fa67aeeb922c0726a5c5f25b31d4269d3ed.tar.xz
baldeagleos-repo-90960fa67aeeb922c0726a5c5f25b31d4269d3ed.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/beautifulsoup4/Manifest1
-rw-r--r--dev-python/beautifulsoup4/beautifulsoup4-4.11.1.ebuild26
-rw-r--r--dev-python/blurb/Manifest1
-rw-r--r--dev-python/blurb/blurb-1.1.0.ebuild27
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.42.0.ebuild66
-rw-r--r--dev-python/osrf_pycommon/Manifest1
-rw-r--r--dev-python/osrf_pycommon/osrf_pycommon-2.0.2.ebuild25
-rw-r--r--dev-python/zope-configuration/zope-configuration-4.4.1-r1.ebuild (renamed from dev-python/zope-configuration/zope-configuration-4.4.1.ebuild)18
9 files changed, 159 insertions, 7 deletions
diff --git a/dev-python/beautifulsoup4/Manifest b/dev-python/beautifulsoup4/Manifest
index f27894a8549e..337f309ccf28 100644
--- a/dev-python/beautifulsoup4/Manifest
+++ b/dev-python/beautifulsoup4/Manifest
@@ -1 +1,2 @@
DIST beautifulsoup4-4.10.0.tar.gz 399890 BLAKE2B 61f044064a81e94b64a72fd49cca164faa05442bc76f897c8a7fa4481acca039bcb9e4f7a1853a7155504fa25e56c518806d8af016369bc37316ecb95b59d7d3 SHA512 92be99ed0fd479b86519395143516e28f7b80f54a8251223d6e7b88dc98f8dfca9585079f5f1d89bfe68f577de3dff433711642486303203f46bc76754959a18
+DIST beautifulsoup4-4.11.1.tar.gz 517113 BLAKE2B bc0cc8dbb1bffca2d3441a274147f201b79447f2147f7b4c329f05f6d230f9986eebd3709199d0b3c7dba8c15e4ce42e9dc75e290a2bfdfdae643f5dfe07e767 SHA512 7446be07cd55f23def929e6491f0d74a940cf50206ed520b8ae7b9d57bd19ecf6aa821f446ca4f26f1e08b43fcc71fb397886f51a3f0ec691f9e53dfdc7a0cf8
diff --git a/dev-python/beautifulsoup4/beautifulsoup4-4.11.1.ebuild b/dev-python/beautifulsoup4/beautifulsoup4-4.11.1.ebuild
new file mode 100644
index 000000000000..ea8b6946acea
--- /dev/null
+++ b/dev-python/beautifulsoup4/beautifulsoup4-4.11.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Pythonic idioms for iterating, searching, and modifying an HTML/XML parse tree"
+HOMEPAGE="https://www.crummy.com/software/BeautifulSoup/bs4/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/soupsieve[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc/source
diff --git a/dev-python/blurb/Manifest b/dev-python/blurb/Manifest
index 1ed516f24b62..ecdea896bd85 100644
--- a/dev-python/blurb/Manifest
+++ b/dev-python/blurb/Manifest
@@ -1 +1,2 @@
DIST blurb-1.0.8.tar.gz 21519 BLAKE2B 4e76fad58821662b0a97dbde63e0fe7f3e82676ea1f22a3effdc118a014fff2b17995252bca900f495d66df36712122e7a50e95b3ebfcff7d39f8d005ef8456d SHA512 63bba016cfc293923da1cf7cc5f64e8881bf28237faf9908a484d55ff435df71c30544a751e0f167ed82d1f363dca48f53be67a25adc3ebc728c88b31186abac
+DIST blurb-1.1.0.tar.gz 25064 BLAKE2B 4fbdd0d068cc7abb1ffa78dff70bd83feccc1bcfbf8ebb085c9f7e77e0f330d3759f10a94a5ca024b465c01f9d659496ae55162a52b7158a06caf2d114d36806 SHA512 9397173e7bf5babf02c96df27983462e7dd2a729e9eb0cacdf23ca3778336902d5c611ab5e2432bbc877344426d7c62ea8ae77719aa08da98f9b44365583b7ee
diff --git a/dev-python/blurb/blurb-1.1.0.ebuild b/dev-python/blurb/blurb-1.1.0.ebuild
new file mode 100644
index 000000000000..82db1bae4466
--- /dev/null
+++ b/dev-python/blurb/blurb-1.1.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2018-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tool to create and manage NEWS blurbs for CPython"
+HOMEPAGE="https://github.com/python/core-workflow/tree/master/blurb"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_test() {
+ # Tests expect to be run from github repo, in which code is inside dir
+ ln -s . blurb || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ "${EPYTHON}" -m blurb test || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index c4818aa2ec11..4b5137560a0c 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -6,3 +6,4 @@ DIST hypothesis-python-6.39.6.tar.gz 9183382 BLAKE2B c1112dc11d9129c7685eccac563
DIST hypothesis-python-6.40.0.tar.gz 9184563 BLAKE2B 7087baa8eed9849e639bc1d67e77a3426702e64e31252e893a19efb1457dd3c9994ed7459084b9c88f3574b89268369ee63bc1ed8dd6f0c257c0af50dc5a3eb1 SHA512 51b062b934c90137cb55fea58c639ebdbfdae21d0af8bf951add83b36c1286f959de47442219174fe80d0a98ffbe0c53cb9cd1b3908b63742c5d7662c84518e0
DIST hypothesis-python-6.40.1.tar.gz 9184638 BLAKE2B bc1900b5328514f1f1f5753d9370229a30108e626400fa93aebcb43d33caa6301108b277ccd8356ef944f2d54387444f67efa4e041f553e40f889b233be03ed8 SHA512 9ae09a8a337fb2d4a94b83ecc02dc5c62759ca9c9043bdd2326084413ff3106c52a654c2c7a99b22fcef28909387ef0450207d0883cf15303c84f3a7f42987d9
DIST hypothesis-python-6.41.0.tar.gz 9186412 BLAKE2B 406cc13a7f341fa9844fe7ae7e65509e161244dec2e52d62f3177b84746562ffd09eb5aaba21f6c3fb8137bf26c7b4ea2d7064e8ef12bf59c0bbe7b99154ce13 SHA512 71884130be8a0474918172b8fd754e944831de2a6f34cf5a4f32c318820026ece8e0ab2f04ac1c9cae47329eec84c5006337556420eb523f4df57dd43dadb916
+DIST hypothesis-python-6.42.0.tar.gz 9186585 BLAKE2B dd08082ef466c91999a6bfa6dfc8386f773182f3e74cc471f6f09bf3c595871aea6508ea2ede4a1375b7ec1e0ba4169a7577c41c6ea97b578233ed64a36b4975 SHA512 fdd6c095aba72660b7cbf4e5200a3500019fef69f45c6a8f40a93815b6bce23c40404af16dba4309400917307485c378b3a12f3eea58d99ce8da68b397a69390
diff --git a/dev-python/hypothesis/hypothesis-6.42.0.ebuild b/dev-python/hypothesis/hypothesis-6.42.0.ebuild
new file mode 100644
index 000000000000..f202efbaaf69
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.42.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{8..10})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" python3.{8..10}; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/osrf_pycommon/Manifest b/dev-python/osrf_pycommon/Manifest
index 34446f944791..fc3c829b511b 100644
--- a/dev-python/osrf_pycommon/Manifest
+++ b/dev-python/osrf_pycommon/Manifest
@@ -1,3 +1,4 @@
DIST osrf_pycommon-1.0.0.tar.gz 45084 BLAKE2B 83bfd5393575a5032e72ae93c9c3eec87d2907ce3fbd3e9fe14a94e5470d61594ab75bca394ec4b7960bbdb16c3ec060966bd6bf47f9a4037d530501c7ce947f SHA512 ff7204116c94eef972b7071f8d6c68fd7cdb1a518fd6c77cd47f54e5390815ff4b6a7d265ef3ed0093c1baa20eb332d69e92926e856da0e34b7186100b688d83
DIST osrf_pycommon-2.0.0.tar.gz 45467 BLAKE2B bcf111183b66dd19e24182e6fee75674f0481bdeb2498ea2a0d10c56977651da60f94444706df525ee71f64d5eb1a24e2e5b4acaf13f19f94b787ce5b424c81e SHA512 ebb06a86c3527ea9dfb24778410a7f84d5560216aedd4ed5fe0b22660b6fbf9625d093dc8653db58a2cc7f3a81e6c4a2770fca90694441cdb141fb840935c50e
DIST osrf_pycommon-2.0.1.tar.gz 45839 BLAKE2B 9961eade38c8de980cee01debbc177ae8ef3ef872d2525c9c6a1660e2323a5bfc02d9f5e6295aeada0cb3a9506da27637eb3c042a1328aff7b5e0e6435bd4dc4 SHA512 9f8affe81c6adc7436ccf9481a84b98a32650c6a0d6bff9c378faf1a9202bfeccb9f72046fecdcdd38f5d6047319db97e6e7e090446ab2fce759949046590f4b
+DIST osrf_pycommon-2.0.2.tar.gz 45927 BLAKE2B 49d8ada07d5cae3b9ad0fac7bae38749517680d3c7d7b84f06f83e4f6d14534cd62fdc72bf4fe11faf0eac4d7e5ef133b9a2410e689fafdaadbb5c1a7838a371 SHA512 3efba5e7010bf96e264c01bad1f095e121e998f34125b6393e5154eb7632704ae18e5d72f17862f527d584bd2e2e216d115b8c87e523ddcfff6656d6db331091
diff --git a/dev-python/osrf_pycommon/osrf_pycommon-2.0.2.ebuild b/dev-python/osrf_pycommon/osrf_pycommon-2.0.2.ebuild
new file mode 100644
index 000000000000..0b6e9858b7ad
--- /dev/null
+++ b/dev-python/osrf_pycommon/osrf_pycommon-2.0.2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Commonly needed Python modules used by Python software developed at OSRF"
+HOMEPAGE="https://github.com/osrf/osrf_pycommon"
+SRC_URI="https://github.com/osrf/osrf_pycommon/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # linting is something upstreams do
+ # for us, it either means unneeded deps or breakage due to changes
+ tests/test_code_format.py
+)
diff --git a/dev-python/zope-configuration/zope-configuration-4.4.1.ebuild b/dev-python/zope-configuration/zope-configuration-4.4.1-r1.ebuild
index 51537c8cda44..58281bdf0f72 100644
--- a/dev-python/zope-configuration/zope-configuration-4.4.1.ebuild
+++ b/dev-python/zope-configuration/zope-configuration-4.4.1-r1.ebuild
@@ -3,6 +3,7 @@
EAPI=8
+DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10} )
inherit distutils-r1
@@ -37,13 +38,16 @@ BDEPEND="
distutils_enable_tests unittest
-python_test() {
- eunittest src
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-python_install_all() {
- distutils-r1_python_install_all
-
- # remove .pth files since dev-python/namespace-zope handles the ns
- find "${D}" -name '*.pth' -delete || die
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
+ cat > __init__.py <<-EOF || die
+ __import__('pkg_resources').declare_namespace(__name__)
+ EOF
+ eunittest -s configuration/tests
+ rm __init__.py || die
}